<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="processGraphGenerator" class="eu.dnetlib.functionality.modular.ui.workflows.sarasvati.viewer.ProcessGraphGenerator" />
	
	<bean id="workflowISRegistryClient" class="eu.dnetlib.functionality.modular.ui.workflows.util.ISRegistryClient" />
	
	<bean id="workflowSectionGrouper" class="eu.dnetlib.functionality.modular.ui.workflows.objects.sections.WorkflowSectionGrouper" />

	<bean id="workflowISLookupClient" 
		class="eu.dnetlib.functionality.modular.ui.workflows.util.ISLookupClient"
		p:categoryUisJson="${workflows.ui.categoryUisJson}"/>
		
</beans>
